build:
  - "./gradlew build --no-daemon"

artifacts:
  "/jars/BauSystem.jar": "BauSystem/build/libs/BauSystem-all.jar"
  "/jars/BauSystem-1.12.jar": "LegacyBauSystem/build/libs/LegacyBauSystem.jar"

  "/jars/FightSystem.jar": "FightSystem/build/libs/FightSystem-all.jar"
  #"/binarys/FightSystem_Standalone.jar": "FightSystem/FightSystem_Standalone/build/libs/FightSystem_Standalone-all.jar"

  "/jars/KotlinCore.jar": "KotlinCore/build/libs/KotlinCore-all.jar"
  "/jars/TNTLeague.jar": "TNTLeague/build/libs/TNTLeague.jar"

  "/jars/LobbySystem.jar": "LobbySystem/build/libs/LobbySystem.jar"

  "/jars/MissileWars.jar": "MissileWars/build/libs/MissileWars.jar"

  "/jars/RealTime.jar": "Realtime/build/libs/Realtime.jar"

  "/jars/SchematicSystem.jar": "SchematicSystem/build/libs/SchematicSystem-all.jar"

  "/jars/SpigotCore.jar": "SpigotCore/build/libs/SpigotCore-all.jar"

  "/jars/Builder.jar": "Teamserver/build/libs/Teamserver.jar"

  "/jars/TowerRun.jar": "TowerRun/build/libs/TowerRun.jar"

  "/jars/PersistentVelocityCore.jar": "VelocityCore/Persistent/build/libs/Persistent.jar"
  "/jars/DependenciesVelocityCore.jar": "VelocityCore/Dependencies/build/libs/Dependencies-all.jar"
  "/jars/VelocityCore.jar": "VelocityCore/build/libs/VelocityCore-all.jar"
  "/usr/local/bin/deployarena.py": "VelocityCore/deployarena.py"

  "/jars/website-api.jar": "WebsiteBackend/build/libs/WebsiteBackend-all.jar"

release:
  - "sudo systemctl restart api.service"
